#include <btcs_config.h>

MEMORY {
	ram : ORIGIN = CONFIG_BTCS_TEXT_BASE, LENGTH = 0x100000
}

SECTIONS {
	.text : {
		_stext = . ;
		*(.btcs.text)
		*(.text.*)
		_sglue = . ;
		*(.glue_7)
		*(.glue_7t)
		_eglue = . ;
		. = ALIGN(16);
		*(.rodata.*)
		*(.rodata1)
		*(.rodata.str1.4)
		*(.rodata.str1.1)
		. = ALIGN(32);
		_etext = . ;
	} > ram
	.data : {
		_sdata = . ;
		*(.data)
		*(.data1)
		*(.sdata)
		*(.sdata2)
		. = ALIGN(32);
		_edata = . ;
		_sbss = . ;
		*(.bss.*)
		*(.sbss)
		*(COMMON)
		. = ALIGN(32);
		_ebss = . ;
	} > ram
}
